### Function

# GLib utf8_prev_char

#### Declaration [src]

    gchar*
    g_utf8_prev_char (
      const gchar* p
    )

#### Description [src]

Finds the previous UTF-8 character in the string before `p`.

`p` does not have to be at the beginning of a UTF-8 character. No check is made to see if the character found is actually valid other than it starts with an appropriate byte. If `p` might be the first character of the string, you must use `g_utf8_find_prev_char()` instead.

#### Parameters

`p`

  Type: `const gchar*`

  A pointer to a position within a UTF-8 encoded string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A pointer to the found character.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.